# Documentation pour les administrateurs YunoHost

* [L’auto-hébergement](/selfhosting_fr)
* [Matériel compatible](/hardware_fr)
* [Guide d’installation](/install_fr)
    * [Sur une carte OLinuXino](/install_on_olinuxino_fr)
    * [Sur une carte ARM](/install_on_arm_board_fr)
    * [Sur un Raspberry Pi](/install_on_raspberry_fr)
    * [À partir de l’ISO](/install_iso_fr)
    * [Sur Debian](/install_on_debian_fr)
    * [Sur VirtualBox](/install_on_virtualbox_fr)
    * [Sur Vagrant](/vagrant_fr)
    * [Sur un serveur dédié](/install_on_vps_fr)
    * Étapes d’installation
       * [Graver ou copier l’ISO](/burn_or_copy_iso_fr)
       * [Démarrage et installation graphique](/boot_and_graphical_install_fr)
       * [Copier l’image YunoHost sur une carte SD](/copy_image_fr)
       * [Installation manuelle](/install_manually_fr)
       * [Brancher et démarrer votre serveur](/plug_and_boot_fr)
       * [Post-installation](/postinstall_fr)
       * [Diagnostic du bon fonctionnement du YunoHost](/diagnostic_fr)
* [DNS - Système de nom de domaine](/dns_fr)
   * [Bureaux d’enregistrements de nom de domaine - Registrar](registrar_fr)
   * [Configuration du DNS chez son registrar](/dns_config_fr)
   * [DNS et installation d’une application sur un sous-domaine](/dns_subdomains_fr)
   * [Utiliser le résolveur DNS](/dns_resolver_fr)
   * [Configurer un DNS dynamique avec une adresse IP dynamique](dns_dynamicip_fr)
   * [Avec OVH](/OVH_fr)
   * [Accéder à son domaine depuis le réseau local](/dns_local_network_fr)
   * [Nom de domaine en Nohost.me](/dns_nohost_me_fr)
* [Applications officielles](/apps_fr)
   * [Mettre à jour ses applications](app_update_fr)
   * [Applications en cours](apps_in_progress_fr)
   * [Applications souhaitées](apps_wishlist_fr)
   * [Nextcloud](app_nextcloud_fr)
* [Fournisseurs d’accès à Internet](/isp_fr)
   * [Configuration générale d’une box](/isp_box_config_fr)
   * [SFR](/isp_sfr_fr)
   * [Orange](/isp_orange_fr)
   * [Free](/isp_free_fr)
* [Administration via l’interface en ligne](/admin_fr)
* [Administration via l’API](/admin_api_fr)
* [Sécurité](/security_fr)
   * [Authentification SSH par clé](/security_fr)
   * [Modifier le port SSH](/security_fr)
   * [Changer l’utilisateur autorisé à se connecter par SSH](/security_fr)
   * [Désactivation de l’API YunoHost](/security_fr)
* [Connexion à son serveur en ligne de commande avec SSH](/ssh_fr)
* [Guide de dépannage](/troubleshooting_guide_fr)
   * [Notes générales](/troubleshooting_guide_fr)
   * [Mise à jour](/troubleshooting_guide_fr)
   * [Les services](/troubleshooting_guide_fr)
   * [Journaux système](/troubleshooting_guide_fr)
   * [Utilisation de la RAM](/troubleshooting_guide_fr)
   * [Espace disque](/troubleshooting_guide_fr)
   * [Applications](/troubleshooting_guide_fr)
		* [Applications PHP](/troubleshooting_guide_fr)
		* [Applications Python](/troubleshooting_guide_fr)
		* [Applications Node.js](/troubleshooting_guide_fr)
		* [Autres (Go, Java…)](/troubleshooting_guide_fr)
* [L’administration en ligne de commande avec la Moulinette](/moulinette_fr)
* [Changer le mot de passe d’administration](/change_admin_password_fr)
* [Courrier électronique](email_fr)
   * [Formulaires pour enlever son IP des listes noires](blacklist_forms_fr)
   * [La signature du serveur via DKIM](dkim_fr)
* [Gestion des certificats](/certificate_fr)
   * [Utiliser Let's Encrypt](/certmanager_fr)
* [YunoHost avec un service caché Tor](/torhiddenservice_fr)
   * [Débloquer une IP avec Fail2ban](/fail2ban_fr)
* [Les sauvegardes](/backup_fr)
* [Les mises à jour](/update_fr)
