#Self-hosting

#### Definition
**Self-hosting** is having a server at home in order to host personnal data and services on it.

#### Administrator responsibilities
Self-hosting implies responsibilities, if you want to host a website, [emails](email) and have [an instant messaging system](XMPP) running, the server needs to stay online all the time, 24/7.

Problems can happen and the server could become unavailable: a power outage, Internet access loss, etc.

If you use the [email system](email_en) and your server becomes unavailable, emails destined to the server will be re-sent under 3 to 7 days.

#### Self-hosting contraints
* Slow transfer speed. With ADSL, upload is approximately 1/10 of the rate of download. For instance: 1 Mb/s download speed would give an upload speed of 100 kb/s;
* Availability must be 24/7;
* Move;

#### Self-hosting issues
* Anonymity, private life;
* Reappropriation of personnal data and services;
* Decentralization, distributed networks;

<img src="/images/networks.png" width=500>

#### Others Self-hosting projects
- [ArkOS](https://arkos.io)
- [Cloudron](https://cloudron.io)
- [Cozy](https://cozy.io)
- [FreedomBox](https://wiki.debian.org/FreedomBox)
- [Host@home](http://yeuxdelibad.net/Programmation/Hostathome.html)
- [Libre.sh](https://github.com/indiehosters/libre.sh)
- [Puffin](http://puffin.rocks)
- [Sandstorm](https://sandstorm.io/)
- [Sovereign](https://github.com/al3x/sovereign)
- [UBOS](http://ubos.net)

#### Learn more
* [Decentralized Web Summit](http://www.decentralizedweb.net/)
* [Feudal Security](https://www.schneier.com/blog/archives/2012/12/feudal_sec.html) Bruce Schneier, famous security expert exposes the risks of a centralized web and the importance of civic action.
