# Sitemap

* [Homepage](/index)

* [What's YunoHost](/whatsyunohost)

* [Documentation](/docs)

    * Try YunoHost
       * [With the demo](/try)    

    * [Administrator guide](/admindoc)
        * [Self-hosting](/selfhosting_en)
        * [Hardware compatible](/hardware)
        * [Installation guide](/install)
            * [On an OLinuXino board](/install_on_olinuxino)
            * [On an ARM board](/install_on_arm_board)
            - [On an Olimex board](/install_on_olinuxino)
            * [On a Raspberry Pi](/install_on_raspberry)
            * [From an ISO](/install_iso)
            * [On Debian](/install_on_debian)
            * [On VirtualBox](/install_on_virtualbox)
            * [On Vagrant](/vagrant)
            * [On a dedicated or a virtual private server](/install_on_vps)
            * Installation steps
               * [Burn or copy iso](/burn_or_copy_iso)
               * [Boot and graphical install](/boot_and_graphical_install)
               * [Copy YunoHost image on SD card](/copy_image)
               * [Manual instalation](/install_manually)
               * [Plug and boot your server](/plug_and_boot)
               * [Post-instalation](/postinstall)
        * Access to YunoHost server: DNS, domain name, `hosts` file
           * [Diagnostic the access to YunoHost server](/diagnostic)
           * [DNS Settings](/dns)
           * [Registrar](registrar)
           * [DNS Configuration](/dns_config)
           * [Use the YunoHost DNS resolver](/dns_resolver_en)
           * [Dynamic IP address: configure DynDNS](dns_dynamicip_en)
           * [Access his server on his local network](/dns_local_network_en)
	   - [IPv6](ipv6_fr)
           - [VPN](vpn_advantage)
        * [Internet service provider](/isp)
            * [Generic configuration of the ISP router](/isp_box_config)
        * Applications
            * [Official applications](/apps_en)
            * [Non-official applications](/apps_in_progress_en)
            * [Update applications](app_update_en)
        * Administration
            * Command-line
                * [Connect to your server with SSH](/ssh)
                * [Command line administration](/moulinette)
            * [Web administration](/admin)
            * [Change administration password](/change_admin_password)
        * [Email](email_en)
           * [Configure email client](email_configure_client_en)
           * [Migrate emails](email_migration_en)
           * [Forms to remove blacklisting of your IP address](blacklist_forms_en)
           * [Use DKIM](dkim)
        * Certificates
            - [Certificates manager](certmanager_en)
            * [Add a certificate certified by an authority](/certificate)
            * [Regenerate self-signed certificate](/regenerate_certificate_en)
        * [Security](/security)
        - [Contact security team](security_team)
        * [Troubleshooting guide](/troubleshooting_guide_en)
        * [YunoHost Tor Hidden Servicer](/torhiddenservice)
        * [Unblock an IP address with Fail2ban](/fail2ban_en)

    * [User guide](/userdoc)
        * [User interface](user_interface)
        * [Configure email client](email_configure_client_en)
        * [Instant messaging usage](/XMPP)
        * [Official applications](/apps)
           * [Baikal](/app_baikal_en)
           * [Firefox Sync](/app_ffsync_en)
           * [Tiny Tiny RSS](/app_ttrss_en)
           * [Transmission](/app_transmission_en)
           * [Radicale](/app_radicale)
           * [RoundCube](/app_roundcube_en)
           * [Minidlna](app_minidlna_en)
	   * [Wallabag v2](/app_wallabag2)
        * [Community applications](/apps_in_progress_en)
           * [LimeSurvey](/app_limesurvey_en)

    * [Contributor guide](/contribute)
        * Developement
           * Applications
               * [Package new application](/packaging_apps)
                   * [VirtualBox for apps' packaging](packaging_apps_virtualbox_fr)
                   * [Manifest](packaging_apps_manifest_en)
                   * [Scripts](packaging_apps_scripts_en)
                   * [Arguments management](packaging_apps_arguments_management_en)
                   * [Nginx configuration](packaging_apps_nginx_conf_en)
                   * [Multi-instance](packaging_apps_multiinstance_en)
                   * [Helpers](packaging_apps_helpers_en)
                   * [Trap usage](packaging_apps_trap_fr)
                   * [Applications levels](packaging_apps_levels_fr)
                   * [YEP - YunoHost Enhancement Proposals](packaging_apps_guidelines_fr)
               * [Applications in progress](/apps_in_progress_en)
               * [Wishlist of applications](/apps_wishlist_en)
           * [Contributing to the YunoHost core](/dev)
           * [Creation of system packages](/build_system_en)
           * [Creation of Debian packages](/build_packages_en)
           * [Create an ARM board image](/build_arm_image_en)
           * [Create a live USB image](/create_live_usb)
        * Documentation
           * [Write documentation](/write_documentation)
           * [Accounting to edit documentation](/accounting)
        * [Contribution](/contributordoc)

* Project's life:
   * [Changelog v.2.0](/changelog_2_0_en)
   * [Changelog v.2.2](/changelog_2_2_en)
   * [Roadmap](/roadmap)
   * [Frequently asked questions](/faq_en)
   * [Contributors](contribs)
   - [Project organization](project_organization)
   * [Support](/support_en)
   * [Art Works](artworks_en)
   * [Blog](https://forum.yunohost.org/c/announcement)
   - [Forum](https://forum.yunohost.org)
   - [Chat rooms](chat_rooms_en)
   * [Communication](communication_en)
   * [Help](/help)
